#include "Utils.h"

#include <random>

namespace KapitanGame {
	namespace Utils {
		double RandomNumber() {
			// Making rng static ensures that it stays the same
			// Between different invocations of the function
			static std::default_random_engine rng(make_default_random_engine());

			std::uniform_real_distribution<double> dist(0.0, 1.0);
			return dist(rng);
		}
	}
}
