#include "KRectPawn.h"

namespace KapitanGame
{
	KRectPawn::KRectPawn(const KVector2D& position, const KTexture& texture,
		const std::shared_ptr<KPlayerController>& playerController) : KPawn(position, texture, playerController),
		Collider(this, texture.GetWidth(), texture.GetHeight())
	{
	}

	const KCollider* KRectPawn::GetCollider() const
	{
		return &Collider;
	}
}
